// Copyright (c) 2015, Will Squire. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

/// The functional_behaviour_tree library.
///
/// This is a behaviour tree framework inspired by the functional programming paradigm.
library behaviour_tree;

export 'src/node.dart';
export 'src/composite.dart';
export 'src/composites/select.dart';
export 'src/composites/sequence.dart';
export 'src/decorator.dart';
export 'src/decorators/invert.dart';